#include <stdio.h>
#include <rpc/rpc.h>
#include "def.h"
#define MAX_BUF 12

struct local_data *
decode_data(buf)
char *buf;
{
   XDR xdrs;                 /* XDR structure        */
   struct local_data *datap; /* local representation */

   if ((datap =
     (struct local_data *)malloc(sizeof(struct local_data)))
                                                   == NULL){
           return(NULL);
   }

   xdrmem_create(&xdrs, buf, MAX_BUF, XDR_DECODE);

   if (xdr_local_data(&xdrs, datap) == FALSE) {
           free(datap);
           datap = NULL;
   }

   return(datap);
}
